FREE(1)

NAMN
free — Visa mängden fritt och använt minne i systemet

SYNOPSIS
free [flaggor]

BESKRIVNING
free visar den totala mängden fritt och använt fysiskt minne och växlingsminne i systemet, liksom buffertarna och cacharna som används av kärnan. Informationen samlas in genom att tolka /proc/meminfo. De visade kolumnerna är:

totalt
    Totalt användbart minne (MemTotal och SwapTotal i /proc/meminfo). Detta inkluderar det fysiska minnet och växlingsminnet mines några få reserverade bitar och kärnans binärkod.

använt
    Använt eller otillgängligt minne (beräknat som totalt - tillgängligt)

fritt
    Oanvänt minne (MemFree och SwapFree i /proc/meminfo)

delat
    Minne använt (huvudsakligen) av tmpfs (Shmem i /proc/meminfo)

buffertar
    Minne använt av kärnans buffertar (Buffers i /proc/meminfo)

cache
    Minne använt av sidcachen och skivor (Cached och SReclaimable i /proc/meminfo)

buff/cache
    Summan av buffertar och cache

tillgängligt
    Uppskattning av hur mycket minne som är tillgängligt för att starta nya program, utan att börja växla. Till skillnad mot data som tillhandahålls av fälten cache eller fritt tar detta fält hänsyn till sidcachen och även att inte alla återvinningsbara minnesskivor kommer återvinnas på grund av saker som används (MemAvailable i /proc/meminfo, tillgängligt i kärnan 3.14, emulerat i kärnor 2.6.27+, annars samma som fritt)

FLAGGOR

-b, --bytes
    Visa mängden minne i byte.

-k, --kibi
    Visa mängden minne i kibibyte. Detta är standardvärdet.

-m, --mebi
    Visa mängden minne i mebibyte.

-g, --gibi
    Visa mängden minne i gibibyte.

--tebi
    Visa mängden minne i tebibyte.

--pebi
    Visa mängden minne i pebibyte.

--kilo
    Visa mängden minne i kilobyte. Implicerar --si.

--mega
    Visa mängden minne i megabyte. Implicerar --si.

--giga
    Visa mängden minne i gigabyte. Implicerar --si.

--tera
    Visa mängden minne i terabyte. Implicerar --si.

--peta
    Visa mängden minne i petabyte. Implicerar --si.

-h, --human
    Visa alla utmatningsfält automatiskt skalade till den kortaste enheten med tre siffror och visa enheterna i utskriften. Följande enheter används.

      B = byte
      Ki = kibibyte
      Mi = mebibyte
      Gi = gibibyte
      Ti = tebibyte
      Pi = pebibyte

    Om en enhet saknas, och du har exbibyte med RAM eller växlingsutrymme är talet i tebibyte och kolumnerna är inte nödvändigtvis justerade med rubriken.

-w, --wide
    Byt till brett läge. Det breda läget skapar rader som är längre än 80 tecken. I detta läge rapporteras buffertar och cache i två separata kolumner.

-c, --count antal
    Visa resultatet antal gånger. Kräver flaggan -s.

-l, --lohi
    Visa detaljerad statistik över lägsta och högsta minne.

-s, --seconds fördröjning
    Visa kontinuerligt resultatet fördröjt fördröjning isär. Du kan faktiskt ange godtyckligt flyttal som fördröjning med antingen . eller , som decimaltecken. usleep(3) används för fördröjningstider med upplösning i mikrosekunder.

--si
    Använd kilo, mega, giga etc. (potenser av 1000) istället för kibi, mebi, gibi (potenser av 1024).

-t, --total
    Visa en rad som visar kolumnernas summor.

-v, --committed
    Visa en rad som visar minnestilldelningsgränsen och mängden tilldelat/otilldelat minne. Kolumnen totalt på denna rad kommer visa minnestilldelningsgränsen. Raden är relevan om övertilldelning av minne är avaktiverat.

--help
    Skriv ut hjälp.

-V, --version
    Visa versionsinformation.

FILER

/proc/meminfo
    minnesinformation

FEL
Värdet på kolumnen delat är inte tillgängligt från kärnan före 2.6.32 och visas som noll.

Skicka synpunkter på översättningen till
    tp-sv@listor.tp-sv.se

Skicka felrapporter till
    procps@freelists.org

SE ÄVEN
ps(1), slabtop(1), top(1), vmstat(8).